package layout;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.layout.AnchorPane;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;
import javafx.scene.text.Text;
import javafx.stage.Stage;

public class AnchorPaneDemo extends Application{

	public static void main(String[] args) {
		launch(args);
	}

	@Override
	public void start(Stage primaryStage) throws Exception {
		//Instantiating the layout class  
		AnchorPane anchorPane = new AnchorPane();  
		
		//Drawing a big Circle 
	    Circle bigCircle = new Circle(100); 
	    bigCircle.setFill(Color.RED); 
	    bigCircle.setStroke(Color.BLACK);
	    
	    //Setting the anchor to the bigCircle      
	    AnchorPane.setTopAnchor(bigCircle, 50.0); 
	    AnchorPane.setLeftAnchor(bigCircle, 50.0); 
	    AnchorPane.setRightAnchor(bigCircle, 50.0); 
	    AnchorPane.setBottomAnchor(bigCircle, 50.0); 
	    
	    //Drawing a small Circle 
	    Circle smallCircle = new Circle(50); 
	    smallCircle.setFill(Color.GREEN); 
	    smallCircle.setStroke(Color.BLACK);
	    
	    //Setting the anchor to the smallCircle      
	    AnchorPane.setTopAnchor(smallCircle, 100.0); 
	    AnchorPane.setLeftAnchor(smallCircle, 50.0);
	    
	    //Creating a text 
	    Text text = new Text("AnchorPane Layout"); 
	    text.setFont(Font.font(null, FontWeight.BOLD, 15));     
	    text.setFill(Color.BLUE);
	    
	    //Setting the anchor to the text      
	    AnchorPane.setTopAnchor(text, 10.0);
			       
		//Setting the nodes to the pane 
	    anchorPane.getChildren().addAll(bigCircle, smallCircle, text); 

		//Creating a scene object
		Scene scene = new Scene(anchorPane);
				
		//Setting title to the Stage
		primaryStage.setTitle("AnchorPane Layout Demo");
				
		//Adding scene to the stage 
		primaryStage.setScene(scene);       
				
		//Displaying the contents of the stage
		primaryStage.show();
	}

}