package layout;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.TextField;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;

public class BorderPaneDemo extends Application{

	public static void main(String[] args) {
		launch(args);
	}

	@Override
	public void start(Stage primaryStage) throws Exception {
		//Instantiating the layout class  
		BorderPane borderPane = new BorderPane();   
	       
		//Setting the nodes to the pane 
		borderPane.setTop(new TextField("Top")); 
		borderPane.setBottom(new TextField("Bottom")); 
		borderPane.setLeft(new TextField("Left")); 
		borderPane.setRight(new TextField("Right")); 
		borderPane.setCenter(new TextField("Center")); 

		//Creating a scene object
		Scene scene = new Scene(borderPane);
		
		//Setting title to the Stage
		primaryStage.setTitle("BorderPane Layout Demo");
		
		//Adding scene to the stage 
		primaryStage.setScene(scene);       
		
		//Displaying the contents of the stage
		primaryStage.show();
	}

}
