package layout;

import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.TextField;
import javafx.scene.layout.FlowPane;
import javafx.stage.Stage;

public class FlowPaneDemo extends Application{

	public static void main(String[] args) {
		launch(args);
	}

	@Override
	public void start(Stage primaryStage) throws Exception {
		//Instantiating the layout class  
		FlowPane flowPane  = new FlowPane();   
				
		//Setting the horizontal gap between the nodes 
	    flowPane.setHgap(25); 
	    flowPane.setVgap(25); 
				
		//Creating button1 
	    TextField textField = new TextField("TextField1"); 
	    FlowPane.setMargin(textField, new Insets(20, 30, 20, 30)); 
					       
		//Setting the nodes to the pane 
	    flowPane.getChildren().addAll(textField, new TextField("TextField2"), new TextField("TextField3"), new TextField("TextField4"));

		//Creating a scene object
		Scene scene = new Scene(flowPane);
						
		//Setting title to the Stage
		primaryStage.setTitle("FlowPane Layout Demo");
						
		//Adding scene to the stage 
		primaryStage.setScene(scene);       
						
		//Displaying the contents of the stage
		primaryStage.show();
	}

}