package layout;

import javafx.application.Application;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;
import javafx.stage.Stage;

public class GridPaneDemo extends Application{

	public static void main(String[] args) {
		launch(args);
	}

	@Override
	public void start(Stage primaryStage) throws Exception {
		//Instantiating the layout class  
		GridPane gridPane = new GridPane();  
		
		//Setting the vertical and horizontal gaps between the columns 
	    gridPane.setVgap(10); 
	    gridPane.setHgap(10);
	    
	    //Setting the Grid alignment 
	    gridPane.setAlignment(Pos.CENTER);
			       
		//Setting the nodes to the pane 
		gridPane.add(new TextField("Cell(0,0)"),0,0);
		gridPane.add(new TextField("Cell(0,1)"),0,1);
		gridPane.add(new TextField("Cell(0,2)"),0,2);
		gridPane.add(new TextField("Cell(1,0)"),1,0);
		gridPane.add(new TextField("Cell(1,1)"),1,1);
		gridPane.add(new TextField("Cell(1,2)"),1,2);

		//Creating a scene object
		Scene scene = new Scene(gridPane);
				
		//Setting title to the Stage
		primaryStage.setTitle("GridPane Layout Demo");
				
		//Adding scene to the stage 
		primaryStage.setScene(scene);       
				
		//Displaying the contents of the stage
		primaryStage.show();
	}

}