package layout;

import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.TextField;
import javafx.scene.layout.HBox;
import javafx.stage.Stage;

public class HBoxDemo extends Application{

	public static void main(String[] args) {
		launch(args);
	}

	@Override
	public void start(Stage primaryStage) throws Exception {
		//Instantiating the layout class  
		HBox hbox = new HBox();
		
		//Setting the space between the nodes of a HBox pane 
	    hbox.setSpacing(10); 
	    
	    //Creating nodes   
	    TextField textField = new TextField();       
	    Button playButton = new Button("Play");       
	    Button stopButton = new Button("Stop"); 
	       
	    //Setting the margin to the nodes 
	    HBox.setMargin(textField, new Insets(20, 20, 20, 20)); 
	    HBox.setMargin(playButton, new Insets(20, 20, 20, 20)); 
	    HBox.setMargin(stopButton, new Insets(20, 20, 20, 20));  
	      
	    //Setting the nodes to the pane 
	    hbox.getChildren().addAll(textField, playButton, stopButton); 

		//Creating a scene object
		Scene scene = new Scene(hbox);
				
		//Setting title to the Stage
		primaryStage.setTitle("HBox Layout Demo");
				
		//Adding scene to the stage 
		primaryStage.setScene(scene);       
				
		//Displaying the contents of the stage
		primaryStage.show();
	}

}
