package layout;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;
import javafx.scene.text.Text;
import javafx.stage.Stage;

public class ManuallyLayoutDemo extends Application{

	public static void main(String[] args) {
		launch(args);
	}

	@Override
	public void start(Stage primaryStage) throws Exception {
		//Drawing a big Circle 
	    Circle bigCircle = new Circle(100); 
	    bigCircle.setFill(Color.RED); 
	    bigCircle.setStroke(Color.BLACK);
	    bigCircle.relocate(10, 10);
	    
	    //Drawing a small Circle 
	    Circle smallCircle = new Circle(50); 
	    smallCircle.setFill(Color.GREEN); 
	    smallCircle.setStroke(Color.BLACK);
	    smallCircle.relocate(80, 80);
	    
	    //Creating a text 
	    Text text = new Text("StackPane Layout"); 
	    text.setFont(Font.font(null, FontWeight.BOLD, 15));     
	    text.setFill(Color.BLUE); 
	    text.relocate(150, 150);
	    
	    Pane root = new Pane();
        root.getChildren().addAll(bigCircle, smallCircle, text);
			       
		//Creating a scene object
		Scene scene = new Scene(root, 300, 250);
				
		//Setting title to the Stage
		primaryStage.setTitle("Manually Layout Demo");
				
		//Adding scene to the stage 
		primaryStage.setScene(scene);       
				
		//Displaying the contents of the stage
		primaryStage.show();     
	}

}