package layout;

import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.TextField;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class MixLayoutDemo  extends Application{

	public static void main(String[] args) {
			launch(args);
	}

	@Override
	public void start(Stage primaryStage) throws Exception {
		//Instantiating the BorderPane layout class  
		BorderPane borderPane = new BorderPane();  
		
		//Instantiating the HBox layout class  
		HBox hbox = new HBox();
		hbox.setSpacing(10); 
		//Creating nodes   
		TextField textFieldH = new TextField();       
		Button playButtonH = new Button("Play");       
		Button stopButtonH = new Button("Stop"); 
		//Setting the margin to the nodes 
		HBox.setMargin(textFieldH, new Insets(20, 20, 20, 20)); 
		HBox.setMargin(playButtonH, new Insets(20, 20, 20, 20)); 
		HBox.setMargin(stopButtonH, new Insets(20, 20, 20, 20));
		//Setting layout background
		hbox.setStyle("-fx-background-color: red");
		//Setting the nodes to the pane 
		hbox.getChildren().addAll(textFieldH, playButtonH, stopButtonH);
		
		//Instantiating the layout class  
		VBox vbox = new VBox();
		//Setting the space between the nodes of a HBox pane 
		vbox.setSpacing(10); 
		//Creating nodes   
		TextField textFieldV = new TextField();       
		Button playButtonV = new Button("Play");       
		Button stopButtonV = new Button("Stop"); 
		//Setting the margin to the nodes 
		VBox.setMargin(textFieldV, new Insets(20, 20, 20, 20)); 
		VBox.setMargin(playButtonV, new Insets(20, 20, 20, 20)); 
		VBox.setMargin(stopButtonV, new Insets(20, 20, 20, 20));  
		//Setting layout background
		vbox.setStyle("-fx-background-color: green");
		//Setting the nodes to the pane 
		vbox.getChildren().addAll(textFieldV, playButtonV, stopButtonV);
	       
		//Setting the nodes to the pane 
		borderPane.setTop(hbox);
		borderPane.setLeft(vbox);
		
		//Creating a scene object
		Scene scene = new Scene(borderPane);
		
		//Setting title to the Stage
		primaryStage.setTitle("Mix Layout Demo");
		
		//Adding scene to the stage 
		primaryStage.setScene(scene);       
		
		//Displaying the contents of the stage
		primaryStage.show();
	}

}
