package layout;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;
import javafx.scene.text.Text;
import javafx.stage.Stage;

public class StackPaneDemo extends Application{

	public static void main(String[] args) {
		launch(args);
	}

	@Override
	public void start(Stage primaryStage) throws Exception {
		//Instantiating the layout class  
		StackPane stackPane = new StackPane();   
		
		//Drawing a big Circle 
	    Circle bigCircle = new Circle(100); 
	    bigCircle.setFill(Color.RED); 
	    bigCircle.setStroke(Color.BLACK);
	    
	    //Drawing a small Circle 
	    Circle smallCircle = new Circle(50); 
	    smallCircle.setFill(Color.GREEN); 
	    smallCircle.setStroke(Color.BLACK);
	    
	    //Creating a text 
	    Text text = new Text("StackPane Layout"); 
	    text.setFont(Font.font(null, FontWeight.BOLD, 15));     
	    text.setFill(Color.BLUE); 
			       
		//Setting the nodes to the pane 
	    stackPane.getChildren().addAll(bigCircle, smallCircle, text);

		//Creating a scene object
		Scene scene = new Scene(stackPane,400,400);
				
		//Setting title to the Stage
		primaryStage.setTitle("StackPane Layout Demo");
				
		//Adding scene to the stage 
		primaryStage.setScene(scene);       
				
		//Displaying the contents of the stage
		primaryStage.show();     
	}

}