package layout;

import javafx.application.Application;
import javafx.geometry.Orientation;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.TilePane;
import javafx.stage.Stage;

public class TilePaneDemo extends Application{

	public static void main(String[] args) {
		launch(args);
	}

	@Override
	public void start(Stage primaryStage) throws Exception {
		//Instantiating the layout class  
		TilePane tilePane = new TilePane();  
		
		//Setting the orientation for the Tile Pane 
	    tilePane.setOrientation(Orientation.HORIZONTAL); 
	       
	    //Setting the alignment for the Tile Pane 
	    tilePane.setTileAlignment(Pos.CENTER); 
	       
	    //Setting the preferred columns for the Tile Pane 
	    tilePane.setPrefColumns(4);
	    
	    //Setting the vertical and horizontal gaps between the tiles 
	    tilePane.setHgap(20);
	    tilePane.setVgap(20);
			       
		//Setting the nodes to the pane 
	    tilePane.getChildren().addAll(new Label("Day: SunDay"), new Label("Day: MonDay"), new Label("Day: TuesDay"), new Label("Day: WednesDay"), new Label("Day: ThursDay"), new Label("Day: FriDay"), new Label("Day: SaturDay"));

		//Creating a scene object
		Scene scene = new Scene(tilePane);
				
		//Setting title to the Stage
		primaryStage.setTitle("TilePane Layout Demo");
				
		//Adding scene to the stage 
		primaryStage.setScene(scene);       
				
		//Displaying the contents of the stage
		primaryStage.show();
	}

}